Inventor General Discussion

Inventor General Discussion

Reply
Member
Xazaks
Posts: 3
Registered: ‎05-09-2013
Message 1 of 7 (283 Views)
Accepted Solution

Embossing many elements ?

283 Views, 6 Replies
05-09-2013 10:10 AM

I'm just starting my adventure with inventor, so sorry if my question is simple,

but I have no idea how to deal with this problem.

Is it possible to emboss multiple elements at once, without selecting each of them separately ?

I got over 2k elements on sketch which are needed to be embosed, it would be really pain to do it manually.

Thanks for help in advance :smileyvery-happy:

Your part is not at the origin.

Pattern Features when possible, not sketches.

 

You have repeated dimensions that aren't needed.

Edit your sketch and right click and select Show All Constraints.

Zoom in on the small circles.

 

This is unneeded complexity.

*Expert Elite*
JDMather
Posts: 27,048
Registered: ‎04-20-2006
Message 2 of 7 (260 Views)

Re: Embossing many elements ?

05-10-2013 06:55 PM in reply to: Xazaks

Can you attach your ipt file here (or at least a screen capture image)?

Please mark this response as "Accept as Solution" if it answers your question.
-----------------------------------------------------------------------------------------
Autodesk Inventor 2014 Certified Professional
Autodesk AutoCAD 2013 Certified Professional
Certified SolidWorks Professional
Inventor Professional 2015 64-bit
http://www.autodesk.com/edcommunity
http://home.pct.edu/~jmather/content/DSG322/inventor_surface_tutorials.htm
Member
Xazaks
Posts: 3
Registered: ‎05-09-2013
Message 3 of 7 (249 Views)

Re: Embossing many elements ?

05-11-2013 02:27 AM in reply to: Xazaks

Sure, the design is in mess due to dimensioning.

I just learned to use multiple copy tool recently.

On screenshot you wouldn't probably see all things so here goes ipt file.

Thanks for interest.

*Expert Elite*
JDMather
Posts: 27,048
Registered: ‎04-20-2006
Message 4 of 7 (230 Views)

Re: Embossing many elements ?

05-11-2013 03:52 PM in reply to: Xazaks

Your part is not at the origin.

Pattern Features when possible, not sketches.

 

You have repeated dimensions that aren't needed.

Edit your sketch and right click and select Show All Constraints.

Zoom in on the small circles.

 

This is unneeded complexity.

Please mark this response as "Accept as Solution" if it answers your question.
-----------------------------------------------------------------------------------------
Autodesk Inventor 2014 Certified Professional
Autodesk AutoCAD 2013 Certified Professional
Certified SolidWorks Professional
Inventor Professional 2015 64-bit
http://www.autodesk.com/edcommunity
http://home.pct.edu/~jmather/content/DSG322/inventor_surface_tutorials.htm
*Expert Elite*
mcgyvr
Posts: 6,971
Registered: ‎12-01-2004
Message 5 of 7 (203 Views)

Re: Embossing many elements ?

05-13-2013 05:15 AM in reply to: JDMather

This ilogic code works EXCELLENT for "extruding" multiple sketched profiles.. I use it to select multiple "text" elements that I extrude .001" to represent "silkscreening" on my parts.. It can probably be modified to use emboss instead of extrude but maybe extrude will work for you also.. 

 

If TypeOf ThisApplication.ActiveEditObject Is Sketch Then
'Do nothing
Else
MessageBox.Show("Activate a Sketch First then Run this Rule", "ilogic")
Return
End If

Dim oPartDoc As PartDocument
oPartDoc = ThisApplication.ActiveDocument

Dim oCompDef As PartComponentDefinition
oCompDef = oPartDoc.ComponentDefinition

Dim oSketch As PlanarSketch
oSketch = ThisApplication.ActiveEditObject 

' Create a profile.
Dim oProfile As Profile
On Error Goto NoProfile
oProfile = oSketch.Profiles.AddForSolid

'get user input
oDistance = InputBox("Enter Extrude Distance", "iLogic", ".001 in")
oDirection  = InputRadioBox("Select Extrude Direction", "Up (+)", "Down (-)", True, Title := "iLogic")
oJoinOrCut  = InputRadioBox("Select Extrude Solution", "Join", "Cut", True, Title := "iLogic")

If oDirection = True Then
oDirection = kPositiveExtentDirection 
Else
oDirection = kNegativeExtentDirection
End If

If oJoinOrCut = True Then
oJoinOrCut = kJoinOperation
Else
oJoinOrCut = kCutOperation
End If

' Create an extrusion 
Dim oExtrude As ExtrudeFeature
On Error Goto NoExtrude
oExtrude = oCompDef.Features.ExtrudeFeatures.AddByDistanceExtent( _
oProfile, oDistance, oDirection, oJoinOrCut)

ThisApplication.CommandManager.ControlDefinitions.Item("FinishSketch").Execute

iLogicVb.UpdateWhenDone = True

Exit Sub

NoProfile:
MessageBox.Show("No closed profile found", "iLogic")
Return

NoExtrude:
MessageBox.Show("No extrusion created, check your inputs.", "iLogic")
Return

 

Did you find this reply helpful ? If so please use the Accept as Solution or Kudos button below.

-------------------------------------------------------------------------------------
2015 Product Design Suite Ultimate
Windows 7 64 bit
Core i7 4820k processor (OC'd to 4.4Ghz), Nvidia GTX 770, 16G RAM


Distinguished Mentor
swhite
Posts: 531
Registered: ‎11-08-2012
Message 6 of 7 (189 Views)

Re: Embossing many elements ?

05-13-2013 06:28 AM in reply to: Xazaks

Do you mean on a single sketch with multiple items, that you want to emboss onto a single part, or items you want to emboss on multiple parts?

Steven White
Lee C. Moore, Inc.
www.lcm-wci.com
Inventor 2011
Intel Dual Xeon E31225 @ 3.1 GHz CPU
16 GB RAM
NVIDIA Quadro 600 GPU
Windows 7 - 64 Bit
Member
Xazaks
Posts: 3
Registered: ‎05-09-2013
Message 7 of 7 (149 Views)

Re: Embossing many elements ?

05-15-2013 11:12 AM in reply to: Xazaks

swhite wrote:

Do you mean on a single sketch with multiple items, that you want to emboss onto a single part, or items you want to emboss on multiple parts?


Single sketch with multiple elements (all the same) on single part.

 

JDMather advice solved problem:


JDMather wrote:

Pattern Features when possible, not sketches.


Thanks 

it was possible to copy embos.

Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.